Foreman - Bug #3138

rbvmomi required by a clean install of foreman
09/23/2013 01:21 PM - Greg Suitcliffe

Status: Closed

Priority: Urgent

Assignee: Lukas Zapletal

Category: Compute resources

Target version: 1.4.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Only i18n.rb and postgresql.rb in bundler.d, but foreman is complaining about rovmomi missing. This is probably a miss-required file
somewhere....

Related issues:

Related to Foreman - Feature #3116: NIC type selection for vSphere Closed 09/18/2013
Related to Foreman - Bug #3867: Wrong Compute Resource type shown on overview Closed 12/12/2013
Has duplicate Packaging - Bug #3187: ruby193-rubygem-rbvmomi isn't getting in... Duplicate 10/02/2013
Has duplicate Foreman - Feature #2618: Hide compute resource providers that a... Duplicate 06/05/2013

Associated revisions

Revision d31ea09f - 10/22/2013 10:11 AM - Lukas Zapletal

fixes #3138 - move CR library loading into initializers, only show available providers

History

#1 - 09/23/2013 01:22 PM - Dominic Cleal
- Related to Feature #3116: NIC type selection for vSphere added

#2 - 09/23/2013 01:22 PM - Dominic Cleal

- Target version set to 1.4.0

http://projects.theforeman.org/projects/foreman/repository/revisions/c75be21b0650471cb3e0657b24017ddc9feac36a/diff/app/models/compute_resour
ces/foreman/model/vmware.rb

#3 - 09/27/2013 05:20 PM - Dominic Cleal
- Related to Tracker #3112: [TRACKER)| Issues to be released in 1.3 RC or final added

#4 - 09/27/2013 05:20 PM - Dominic Cleal
- Category set to Compute resources
- Priority changed from Normal to Urgent

- Target version changed from 1.4.0 to 1.3.0

Oops, wrong release.

#5 - 09/27/2013 06:35 PM - Dominic Cleal
- Related to deleted (Tracker #3112: [TRACKER)| Issues to be released in 1.3 RC or final)

#6 - 09/27/2013 06:36 PM - Dominic Cleal

- Target version changed from 1.3.0 to 1.4.0
http://projects.theforeman.org/projects/foreman/repository/revisions/c75be21b0650471cb3e0657b24017ddc9feac36a/diff/app/models/compute_resources/foreman/model/vmware.rb
http://projects.theforeman.org/projects/foreman/repository/revisions/c75be21b0650471cb3e0657b24017ddc9feac36a/diff/app/models/compute_resources/foreman/model/vmware.rb

No, correct release as #3116 is only in 1.4.

#7 - 10/03/2013 07:00 AM - Dominic Cleal
- Has duplicate Bug #3187 ruby193-rubygem-rbvmomi isn't getting installed added

#8 - 10/08/2013 09:01 AM - Lukas Zapletal

WORKAROUND (vmware will not work tho): sed "s/require 'rovmomi'/" -i
/usr/share/foreman/app/models/compute_resources/foreman/model/vmware.rb

#9 - 10/15/2013 05:46 PM - Dominic Cleal
- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

https://github.com/theforeman/foreman/pull/947

#10 - 10/16/2013 03:53 PM - Greg Sutcliffe
- Target version deleted (1.4.0)

#11 - 10/16/2013 05:35 PM - Ohad Levy

- Target version set to 1.15.0

#12 - 10/22/2013 10:10 AM - Dominic Cleal

- translation missing: en.field_release set to 2

#13 - 10/22/2013 10:31 AM - Lukas Zapletal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset d31ea09fabfee5f0219d8170cfde6¢c2107cd8ec8.

#14 - 12/13/2013 08:38 AM - Dominic Cleal

- Related to Bug #3867: Wrong Compute Resource type shown on overview added

#15 - 08/06/2014 04:28 AM - Dominic Cleal

- Has duplicate Feature #2618: Hide compute resource providers that aren't available added
